package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.enums.UserGenderEnum;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/17
 */
public class EmployeeDto {

    /** 主键ID */
    private Integer id;

    /** 用户名 */
    @ApiModelProperty(value = "用户名",required = false)
    private String username;

    @ApiModelProperty(value = "性别",required = false)
    private UserGenderEnum gender;

    @ApiModelProperty(value = "电话ID",required = false)
    private String phone;

    /** 0-正常，9-锁定 */
    @ApiModelProperty(value = "0-正常，9-锁定",required = false)
    private String lockFlag;

    @ApiModelProperty(value = "角色名称",required = false)
    private String roleName;

    /** 工作性质（兼职、全职、临时） */
    private String jobNature;

    /** 入职时间 */
    private java.util.Date entryDate;

    /** 离职日期 */
    private java.util.Date demissionDate;

    @ApiModelProperty(value = "部门ID",required = false)
    private Long organIdList;

    @ApiModelProperty(value = "部门名称",required = false)
    private String organNameList;

    public Long getOrganIdList() {
        return organIdList;
    }

    public void setOrganIdList(Long organIdList) {
        this.organIdList = organIdList;
    }

    public String getOrganNameList() {
        return organNameList;
    }

    public void setOrganNameList(String organNameList) {
        this.organNameList = organNameList;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public UserGenderEnum getGender() {
        return gender;
    }

    public void setGender(UserGenderEnum gender) {
        this.gender = gender;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getLockFlag() {
        return lockFlag;
    }

    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getJobNature() {
        return jobNature;
    }

    public void setJobNature(String jobNature) {
        this.jobNature = jobNature;
    }

    public Date getEntryDate() {
        return entryDate;
    }

    public void setEntryDate(Date entryDate) {
        this.entryDate = entryDate;
    }

    public Date getDemissionDate() {
        return demissionDate;
    }

    public void setDemissionDate(Date demissionDate) {
        this.demissionDate = demissionDate;
    }
}
